### Type Parameters

### Hierarchy

- OptionsLegendType

## Index

### Properties

- label
- params
- showGroupsTitle
- useBbox

## Properties

### label

label: Object

- Defined in src/options.js:586

The key is the server type (`mapserver`, `qgis`, ...), if the value is `false` the name of the layer will be not displayed. This is used to avoid duplicated title, as text and in the legend image.

### params

params: Object

- Defined in src/options.js:589

The key is the server type (`mapserver`, `qgis`, ...) or `image` for an URL from a metadata. The value is some additional parameters set in the query string.

### showGroupsTitle

showGroupsTitle: boolean

- Defined in src/options.js:592

Display or not groups title in the legend. default is true. Switching to false is useful to obtains a "flat" legend.

### useBbox

useBbox: boolean

- Defined in src/options.js:585

Use or not the bbox. Default to true. For QGIS server only.

Generated using TypeDoc